Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.sunraster
Class SunRasterEncoder

    com.sun.jimi.core.encoder.sunraster.SunRasterEncoder

public class SunRasterEncoder
implements OptionsObject

Encoder class for SunRaster (.RAS) images. Supports two methods of encoding: 8BPP palette-images (with or without RLE compression), and 24-bit no-palette images.

Having decided which type of encoding to use, it delegates to a specialised encoding class.

See Also:
  `RGBSunRasterEncoder`, `PaletteSunRasterEncoder`

Field Summary
`protected java.io.OutputStream` | `output_` Stream to write RAS output to.
`protected int` | `state_` State of encoder.
`protected boolean` | `useRLE_`

Constructor Summary
`SunRasterEncoder()`

Method Summary
`void` | `clearProperties()`
`protected SpecificEncoder` | `createEncoder()` Factory method for creating an appropriate encoder based on the type of JimiImage.
`boolean` | `driveEncoder()` Drive the encoder through the image encoding process.
`OptionsObject` | `getOptionsObject()`
`java.lang.Object` | `getPossibleValuesForProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.String` | `getPropertyDescription(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`int` | `getState()` Return the state of the encoder.
`void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)` Initialize the encoder.
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Field Detail

### state_

    protected int state_

  State of encoder.

### output_

    protected java.io.OutputStream output_

  Stream to write RAS output to.

### useRLE_

    protected boolean useRLE_

Constructor Detail

### SunRasterEncoder

    public SunRasterEncoder()

Method Detail

### initSpecificEncoder

    public void initSpecificEncoder(java.io.OutputStream out,
                                    AdaptiveRasterImage ji)

  Initialize the encoder. Should not be called directly.
  Parameters:
    `out` - The OutputStream to write the RAS encoded image to.
    `ji` - The JimiImage to draw information from.
  See Also:
    `com.sun.jimi.core.JimiEncoderBase`

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  Drive the encoder through the image encoding process.

### getState

    public int getState()

  Return the state of the encoder.

### createEncoder

    protected SpecificEncoder createEncoder()
                                     throws JimiException

  Factory method for creating an appropriate encoder based on the type of JimiImage.
  Returns:
    An encoder appropriate for the JimiImage to be encoded.

### getOptionsObject

    public OptionsObject getOptionsObject()

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getPossibleValuesForProperty

    public java.lang.Object getPossibleValuesForProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws InvalidOptionException

### clearProperties

    public void clearProperties()

### getPropertyDescription

    public java.lang.String getPropertyDescription(java.lang.String name)
                                            throws InvalidOptionException

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD